openSUSE Tumbleweed - Revisão da semana 35 de 2017


Uma nova revisão do que aconteceu na semana 35 de 2017 no openSUSE Tumbleweed a versão “rolling release” de atualização contínua da distribuição de GNU/Linux openSUSE.

O anúncio original você pode ler no blog de Dominique Leuenberger, no link abaixo:



Esta semana isso foi um pouco lenta em Tumbleweed. Apenas um único instantâneo (0825) foi enviado para os espelhos. Mais alguns foram construídos e descartados.

Os motivos foram bastante simples: com a introdução do pacote dnf, que usa alguns dos novos operadores de dependência boolean de rpm (novo desde rpm 4.13), acabamos tendo metadados no repositório que é bem entendido pelos sistemas Tumbleweed, mas não por qualquer sistema que se possa querer atualizar para Tumbleweed (pense Leap 42.x). A solução final será concluir a migração para o novo criador de produtos e, assim, usar repositórios rpm-md puros, mas ainda há alguns dias / semanas de distância. Entretanto, desativamos essas dependências boolen em DNF (como uma solução aceitável). Claro, levou dois instantâneos para obter isso direito - e então o OpenQA foi travado em nós: o disco está exibindo grandes corrupções e o banco de dados lança erros. Os heróis estão atualmente examinando esse problema - e uma vez pronto, devemos ser capazes de retomar as operações normais (todos os instantâneos anteriores serão incorporados em uma atualização maior)

O Instantâneo 0825 já era bastante grande, pois atualizava esses componentes:

  • Mozilla Thunderbird 52.3.0
  • Aplicações do KDE 17.08.0
  • KDE Frameworks 5.37.0
  • KDE Plasma 5.10.5
  • CURL 7.55
  • gcc 7.2 rc
  • glibc 2.26

Como o openQA está atualmente desativado, isso, infelizmente, também significa que o painel de montagem do Factory não está disponível, o que me faz dizer a seção "o que está acontecendo" da memória. Certamente, vou sentir falta de algumas coisas, mas lembro:

  • gpg 2.2
  • Linux kernel 4.12.9 (no próximo instantâneo a ser lançado) e 4.12.10 no planejamento
  • O PHP5 está programado para a remoção do Tumbleweed - Mova suas configurações já em PHP7

Tenho certeza de que há mais coisas acontecendo - algumas delas provavelmente também são mais duradouras (como o OpenSSL 1.1 como migração padrão), mas, como disse, com o openQA e o painel não estarem disponíveis, as coisas acima são lembradas da memória.

Tenho certeza de que os problemas serão resolvidos em breve - e Tumbleweed começará a ter versões ainda mais freqüentes novamente.


Mantenha-se atualizado e você sabe: Divirta-se!